# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'spectator_config'

Gem::Specification.new do |spec|
  spec.name          = 'netflix-spectator-rbconf'
  spec.version       = SpectatorConfig::VERSION
  spec.authors       = ['Matthew Johnson']
  spec.email         = ['mjjohnson33@gmail.com']
  spec.licenses      = ['Apache-2.0']

  spec.summary       = 'Empty configuration package to occupy the namespace on RubyGems.'
  spec.homepage      = 'https://github.com/Netflix/spectator-rbconf'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'minitest', '~> 5.1'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'rake-release', '~> 1.0'
  spec.add_development_dependency 'rake-version', '~> 1.0'
end
